NETFLIX dependencies

Hello,

How to solve this issue?:
ERROR: CAddonInstallJob[plugin.video.netflix]: Nao foi possivel satisfazer a dependencia de script.module.pycryptodome, versao 3.4.3.

Thank you

Log file:

https://paste.osmc.tv/abonebogul

There’s a version 3.4.7 of python-pycryptodome in the stretch-backports repository.

If you’d like to try it, run these commands:

echo "deb http://deb.debian.org/debian stretch-backports main" | sudo tee /etc/apt/sources.list.d/stretch-backports.list
sudo apt-get update
sudo apt-get install -y -t stretch-backports python-pycryptodome

Thank you for your prompt reply.
Sorry to tell you that didn’t work. Below the result:

osmc@osmc:~$ echo “deb http://deb.debian.org/debian stretch-backports main” | sudo tee /etc/apt/sources.list.d/stretch-backports.list
deb http://deb.debian.org/debian stretch-backports main
osmc@osmc:~$
sudo apt-get update
0% [Working]

Get:1 http://deb.debian.org/debian stretch-backports InRelease ;[91.8 kB]
0% [Connecting to mirrordirector.raspbian.org] [Connecting to apt.osmc.tv] [Wai
0% [Connecting to mirrordirector.raspbian.org] [Waiting for headers] [Waiting f

Get:2 http://mirrordirector.raspbian.org/raspbian stretch InRelease ;[15.0 kB]

0% [Working]
0% [1 InRelease gpgv 91.8 kB]
0% [Connecting to ftp.fau.de] [1 InRelease gpgv 91.8 kB]

Hit:3 http://ftp.fau.de/osmc/osmc/apt stretch InRelease

0% [1 InRelease gpgv 91.8 kB]
0% [Waiting for headers] [1 InRelease gpgv 91.8 kB]

Hit:4 http://ftp.fau.de/osmc/osmc/download/dev/gmc-18 gmc-18 InRelease

0% [1 InRelease gpgv 91.8 kB]
0% [1 InRelease gpgv 91.8 kB]
0% [1 InRelease gpgv 91.8 kB]
0% [1 InRelease gpgv 91.8 kB]
0% [1 InRelease gpgv 91.8 kB]
0% [1 InRelease gpgv 91.8 kB] 16.6 kB/s 0s

Err:1 http://deb.debian.org/debian stretch-backports InRelease
The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY 7638D0442B90D010 NO_PUBKEY 04EE7237B7D453EC
0% [Working] 16.6 kB/s 5s
0% [2 InRelease gpgv 15.0 kB] 16.6 kB/s 5s
0% [2 InRelease gpgv 15.0 kB] 16.6 kB/s 5s
0% [2 InRelease gpgv 15.0 kB] 16.6 kB/s 5s
0% [2 InRelease gpgv 15.0 kB] 16.6 kB/s 5s
0% [2 InRelease gpgv 15.0 kB] 16.6 kB/s 5s
0% [2 InRelease gpgv 15.0 kB] 16.6 kB/s 5s
0% [2 InRelease gpgv 15.0 kB] 16.6 kB/s 5s
0% [2 InRelease gpgv 15.0 kB] 16.6 kB/s 5s
0% [2 InRelease gpgv 15.0 kB] 16.6 kB/s 5s
0% [Working] 16.6 kB/s 5s
0% [3 InRelease gpgv 4682 B] 16.6 kB/s 5s
0% [3 InRelease gpgv 4682 B] 16.6 kB/s 5s
0% [3 InRelease gpgv 4682 B] 16.6 kB/s 5s
0% [3 InRelease gpgv 4682 B] 3027 PB/s 0s
0% [3 InRelease gpgv 4682 B] 3027 PB/s 0s
0% [3 InRelease gpgv 4682 B] 3027 PB/s 0s
0% [3 InRelease gpgv 4682 B] 3027 PB/s 0s
0% [3 InRelease gpgv 4682 B] 3027 PB/s 0s
0% [3 InRelease gpgv 4682 B] 3027 PB/s 0s
0% [3 InRelease gpgv 4682 B] 3027 PB/s 0s
0% [Working] 3027 PB/s 0s
0% [4 InRelease gpgv 6010 B] 3027 PB/s 0s
0% [4 InRelease gpgv 6010 B] 3027 PB/s 0s
0% [4 InRelease gpgv 6010 B] 3027 PB/s 0s
0% [4 InRelease gpgv 6010 B] 3027 PB/s 0s
0% [4 InRelease gpgv 6010 B] 3027 PB/s 0s
0% [4 InRelease gpgv 6010 B] 3027 PB/s 0s
0% [4 InRelease gpgv 6010 B]
0% [4 InRelease gpgv 6010 B]
0% [4 InRelease gpgv 6010 B]
0% [Working]
Reading package lists… 0%
Reading package lists… 0%
Reading package lists… 1%
Reading package lists… 2%
Reading package lists… 3%
Reading package lists… 5%
Reading package lists… 7%
Reading package lists… 9%
Reading package lists… 11%
Reading package lists… 13%
Reading package lists… 15%
Reading package lists… 17%
Reading package lists… 19%
Reading package lists… 21%
Reading package lists… 22%
Reading package lists… 24%
Reading package lists… 26%
Reading package lists… 28%
Reading package lists… 30%
Reading package lists… 32%
Reading package lists… 34%
Reading package lists… 36%
Reading package lists… 38%
Reading package lists… 40%
Reading package lists… 42%
Reading package lists… 44%
Reading package lists… 46%
Reading package lists… 48%
Reading package lists… 50%
Reading package lists… 52%
Reading package lists… 53%
Reading package lists… 55%
Reading package lists… 57%
Reading package lists… 59%
Reading package lists… 61%
Reading package lists… 63%
Reading package lists… 65%
Reading package lists… 67%
Reading package lists… 69%
Reading package lists… 71%
Reading package lists… 73%
Reading package lists… 75%
Reading package lists… 76%
Reading package lists… 78%
Reading package lists… 80%
Reading package lists… 82%
Reading package lists… 83%
Reading package lists… 85%
Reading package lists… 87%
Reading package lists… 89%
Reading package lists… 91%
Reading package lists… 93%
Reading package lists… 95%
Reading package lists… 96%
Reading package lists… 96%
Reading package lists… 96%
Reading package lists… 97%
Reading package lists… 97%
Reading package lists… 97%
Reading package lists… 97%
Reading package lists… 98%
Reading package lists… 98%
Reading package lists… 98%
Reading package lists… 99%
Reading package lists… 99%
Reading package lists… 99%
Reading package lists… Done
W: GPG error: http://deb.debian.org/debian stretch-backports InRelease: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY 7638D0442B90D010 NO_PUBKEY 04EE7237B7D453EC
E: The repository ‘http://deb.debian.org/debian stretch-backports InRelease’ is not signed.
N: Updating from such a repository can’t be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
osmc@osmc:~$
sudo apt-get install -y -t stretch-backports python-pycryptodome
Reading package lists… 0%
Reading package lists… 100%
Reading package lists… Done
E: The value ‘stretch-backports’ is invalid for APT::Default-Release as such a release is not available in the sources

Any suggestions?

It’s failing because you’re running on a Raspberry Pi 1, which doesn’t use the Debian repo.

I think the most sensible approach is to remove the stretch-backports repo and compile the pip package. If you’ve run pip install before, everything should already be installed. Here are the instructions: Installation — PyCryptodome 3.9.9 documentation

To remove the stretch backports run:

sudo rm /etc/apt/sources.list.d/stretch-backports.list
sudo apt-get update

Netflix won’t work on RPi0/1 due to a combination of performance issues and no existing ARMv6l versions of libwidevine.